com.streambase.liveview.server.table.plugin

## Class TablePropertiesConfigurationWrapper.FilterdAlias

- java.lang.Object
- - com.streambase.liveview.server.table.plugin.TablePropertiesConfigurationWrapper.FilterdAlias

- Enclosing class:
    TablePropertiesConfigurationWrapper

      public class TablePropertiesConfigurationWrapper.FilterdAlias
      extends Object

  FilteredAlias is used as a place holder for the formatter used to format table name and predicate filter.
  Since:
    2.1.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterdAlias(String filteredNameOnBaseName, String predicateFilter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAliasNameFormatter()` Returns the name formatter with this FilteredAlias instance.
    `String` | `getPredicateFilter()` Returns the predicate filter with this FilteredAlias instance.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterdAlias

          public FilterdAlias(String filteredNameOnBaseName,
                              String predicateFilter)

  - ### Method Detail

    - #### getPredicateFilter

          public String getPredicateFilter()

      Returns the predicate filter with this FilteredAlias instance.
      Returns:
        predicate filter on which table records should be filtered.
      Since:
        2.1.1

    - #### getAliasNameFormatter

          public String getAliasNameFormatter()

      Returns the name formatter with this FilteredAlias instance.
      Returns:
        name formatter for the filtered table.
      Since:
        2.1.1

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.